## How to contribute to Caroster

#### **Did you find a bug?**

- **Do not open up an issue if the bug is a security vulnerability**, and instead to send an email to caroster@octree.ch.

- **Ensure the bug was not already reported** by searching on GitLab under [Issues](https://git.octree.ch/p/caroster/-/issues).

- If you're unable to find an open issue addressing the problem, [open a new one](https://git.octree.ch/p/caroster/-/issues/new). Be sure to include a **title and clear description**, as much relevant information as possible, and a **code sample** or an **executable test case** demonstrating the expected behavior that is not occurring.

#### **Did you write a patch that fixes a bug?**

- Open a new GitLab merge request with the patch.

- Ensure the PR description clearly describes the problem and solution. Include the relevant issue number if applicable.

#### **Do you want to translate Caroster?**

- Go to [the weblate project](https://translate.codeberg.org/projects/caroster/web-app/).

- Read and accept the contributor agreement.

- Refer to [Weblate documentation](https://docs.weblate.org/en/latest/user/translating.html) to learn how to use Weblate.

- You can also ask us for a [Tolgee access](https://tolgee.io/) which enables in context translation of the frontend app. Be aware we are not yet able to credit contributions made trough Tolgee which is entended for internal use at the moment.

- In the other hand, you can setup your own development instance with your own Tolgee Project by simply importing locales files with the namespace "translation", the application supports Tolgee configuration using NEXT_PUBLIC_TOLGEE_API_KEY and NEXT_PUBLIC_TOLGEE_API_URL env variables located in the frontend folder. This way you can contribute to translations on your computer and commit the updated locales files. See [Tolgee documentation](https://tolgee.io/platform/) for that.

#### **Do you intend to add a new feature or change an existing one?**

- Suggest your proposal by creating a [new issue](https://git.octree.ch/p/caroster/-/issues/new).

- When your proposal has been accepted by a maintainer, write your code then create a Pull Request linked to your issue.

Caroster is a volunteer effort.

Thanks! :heart:

Caroster Team
